Package ch.qos.logback.classic.joran.action

# Class EvaluatorAction

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.joran.action.Action
ch.qos.logback.core.joran.action.AbstractEventEvaluatorAction
ch.qos.logback.classic.joran.action.EvaluatorAction

All Implemented Interfaces:
  `ContextAware`

public class EvaluatorAction extends AbstractEventEvaluatorAction

## Field Summary

### Fields inherited from class ch.qos.logback.core.joran.action.Action

`ACTION_CLASS_ATTRIBUTE, CLASS_ATTRIBUTE, FILE_ATTRIBUTE, KEY_ATTRIBUTE, NAME_ATTRIBUTE, PATTERN_ATTRIBUTE, SCOPE_ATTRIBUTE, VALUE_ATTRIBUTE`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`EvaluatorAction()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`defaultClassName()`
Returns a default class name in case the class attribute is not specified

### Methods inherited from class ch.qos.logback.core.joran.action.AbstractEventEvaluatorAction

`begin, end, finish`

### Methods inherited from class ch.qos.logback.core.joran.action.Action

`body, getColumnNumber, getLineColStr, getLineNumber, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EvaluatorAction

public EvaluatorAction()

## Method Details

### defaultClassName

protected String defaultClassName()
Description copied from class: `AbstractEventEvaluatorAction`
Returns a default class name in case the class attribute is not specified

Specified by:
  `defaultClassName` in class `AbstractEventEvaluatorAction`
Returns: